> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pineyard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the caller workspace credit balance and recent transactions

**Required scope:** `billing.view`


## OpenAPI

````yaml /api-reference/openapi.json get /credits
openapi: 3.0.3
info:
  title: Pineyard API
  version: 1.0.0
  description: >-
    Programmatic access to agents, campaigns, calls, phone numbers, WhatsApp and
    results in your Pineyard workspace.
servers:
  - url: https://api.pineyard.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /credits:
    get:
      summary: Get the caller workspace credit balance and recent transactions
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  balanceCredits:
                    type: string
                  balanceDisplayUnit:
                    type: string
                    enum:
                      - INR
                  billingMode:
                    type: string
                    enum:
                      - PER_60S
                      - PER_15S_AFTER_60S
                  pricePerMinuteMicroRupees:
                    type: string
                  billingIncrementSeconds:
                    anyOf:
                      - type: number
                        enum:
                          - 1
                      - type: number
                        enum:
                          - 15
                      - type: number
                        enum:
                          - 30
                      - type: number
                        enum:
                          - 60
                  transactions:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        amountMicro:
                          type: string
                        balanceAfter:
                          type: string
                        kind:
                          type: string
                          enum:
                            - TOPUP
                            - CALL_DEBIT
                            - CALL_ABANDONED
                            - ADJUSTMENT
                            - WHATSAPP_DEBIT
                            - EMAIL_DEBIT
                            - WHATSAPP_NUMBER_LEASE
                            - DEMO_TOPUP
                            - DEMO_DEBIT
                            - DEMO_ADJUST
                            - TRIAL_DEBIT
                            - SPEECH_DEBIT
                            - NUMBER_DEBIT
                            - NUMBER_RENTAL
                        callId:
                          type: string
                          nullable: true
                        billingMode:
                          type: string
                          nullable: true
                          enum:
                            - PER_60S
                            - PER_15S_AFTER_60S
                        billsecSeconds:
                          type: integer
                          nullable: true
                        reason:
                          type: string
                          nullable: true
                        createdAt:
                          type: string
                          format: date-time
                      required:
                        - id
                        - amountMicro
                        - balanceAfter
                        - kind
                        - callId
                        - billingMode
                        - billsecSeconds
                        - reason
                        - createdAt
                required:
                  - balanceCredits
                  - balanceDisplayUnit
                  - billingMode
                  - pricePerMinuteMicroRupees
                  - billingIncrementSeconds
                  - transactions
        '400':
          description: >-
            - `internal_error`: An unexpected error. A `400` with this code
            usually means the body is not valid JSON; a `413` means the body is
            larger than 1 MB.

            - `invalid_body`: The request body (or query) failed validation.
            Details are in `issues` (or `detail`). `422` on `POST
            /v1/campaigns/{campaignId}/leads`.
        '401':
          description: >-
            - `invalid_api_key`: The API key is unknown, revoked or expired, or
            its workspace was deleted.

            - `unauthorized`: No `Authorization: Bearer` header, or an empty
            token.
        '403':
          description: >-
            - `api_key_not_scoped`: A key issued without scopes was used outside
            `/v1`.

            - `api_key_owner_inactive`: The member the key acts for was removed
            or suspended.

            - `forbidden`: The key lacks the permission named in
            `requiredPermission`, or the resource belongs to another workspace.

            - `workspace_pending_approval`: The workspace has not been approved
            yet.

            - `workspace_suspended`: The workspace is suspended.
        '413':
          description: >-
            - `internal_error`: An unexpected error. A `400` with this code
            usually means the body is not valid JSON; a `413` means the body is
            larger than 1 MB.
        '429':
          description: '- `rate_limited`: Too many requests.'
        '500':
          description: >-
            - `internal_error`: An unexpected error. A `400` with this code
            usually means the body is not valid JSON; a `413` means the body is
            larger than 1 MB.
        '502':
          description: >-
            - `provider_error`: The calling service rejected the request
            (`upstreamStatus` 4xx) or was unavailable (5xx).
        '503':
          description: '- `database_unavailable`: The service is temporarily unavailable.'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Your API key, e.g. `pk_live_xxxxxxxxxxxxxxxxxxxxxxxx`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.